---
apiVersion: v1
kind: Service
metadata:
  annotations:
    service.alpha.kubernetes.io/tolerate-unready-endpoints: "true"
  name: elasticsearch-kube
  namespace: ci
spec:
  clusterIP: None
  ports:
  - name: esearch
    port: 9200
  - name: nodes
    port: 9300
  selector:
    name: elasticsearch-kube
---
apiVersion: v1
kind: Service
metadata:
  name: elasticsearch-kube-client
  namespace: ci
spec:
  ports:
  - name: esearch
    port: 9200
  selector:
    name: elasticsearch-kube
---
apiVersion: v1
kind: Service
metadata:
  labels:
    k8s-app: scrape-me
  name: exporter-elasticsearch-kube
  namespace: ci
spec:
  ports:
  - name: exporter-9113
    port: 9113
  selector:
    name: elasticsearch-kube
